Loading...
Searching...
No Matches
add_dual_space_norm< Problem, std::true_type >

## Detailed Description

template<class Problem>
class rheolef::details::add_dual_space_norm< Problem, std::true_type >

Definition at line 216 of file newton_add_missing.h.

Inheritance diagram for add_dual_space_norm< Problem, std::true_type >:

## Public Types

typedef Problem::float_type | float_type
typedef Problem::value_type | value_type

## Public Member Functions

| add_dual_space_norm (const add_dual_space_norm &f)
| add_dual_space_norm (const Problem &f)
add_dual_space_norm< Problem > & | operator= (add_dual_space_norm< Problem > &&f)

## Member Typedef Documentation

## float_type

template<class Problem>

typedef Problem::float_type float_type

Definition at line 218 of file newton_add_missing.h.

## value_type

template<class Problem>

typedef Problem::value_type value_type

Definition at line 219 of file newton_add_missing.h.

## Constructor & Destructor Documentation

## add_dual_space_norm() [1/2]

template<class Problem>

add_dual_space_norm | ( | const add_dual_space_norm< Problem, std::true_type > & | f | ) |

Definition at line 220 of file newton_add_missing.h.

## add_dual_space_norm() [2/2]

template<class Problem>

add_dual_space_norm | ( | const Problem & | f | ) |

explicit

Definition at line 221 of file newton_add_missing.h.

## Member Function Documentation

## operator=()

template<class Problem>

add_dual_space_norm< Problem > & operator= | ( | add_dual_space_norm< Problem > && | f | ) |

Definition at line 222 of file newton_add_missing.h.

The documentation for this class was generated from the following file:

- /build/rheolef-L67pNR/rheolef-7.2/main/lib/newton_add_missing.h